Persona is no longer an option for authentication on BMO. For more details see Persona Deprecated.
Last Comment Bug 334843 - Add rpath for HP-UX on pa-risc
: Add rpath for HP-UX on pa-risc
Product: NSS
Classification: Components
Component: Build (show other bugs)
: 3.11
: P2 normal (vote)
: 3.11.1
Assigned To: Christophe Ravel
Depends on: 335454
  Show dependency treegraph
Reported: 2006-04-20 11:23 PDT by Christophe Ravel
Modified: 2006-05-22 08:55 PDT (History)
1 user (show)
See Also:
Crash Signature:
QA Whiteboard:
Iteration: ---
Points: ---

Set library search path in cmd/ (748 bytes, patch)
2006-04-25 17:03 PDT, Christophe Ravel
neil.williams: review+
Details | Diff | Splinter Review

Description Christophe Ravel 2006-04-20 11:23:18 PDT
Currently, rpath for the nss tools on HP-UX is only set for ia64.
We need to set it for pa-risc

32 bit: tools are in /somewhere/bin, libraries are in /somewhere/lib

64 bit: tools are in /somewhre/bin/[pa20_64|64], libraries are in /somewhere/lib/[pa20_64|64]
RPATH: $ORIGIN/../../lib/pa20_64:$ORIGIN:/../../lib/64
Comment 1 Christophe Ravel 2006-04-20 11:26:55 PDT
The fix should be in mozilla/security/nss/cmd/
near line 207

32 bit:
EXTRA_SHARED_LIBS += -Wl,+s,+b,'$$ORIGIN/../lib'

64 bit:
EXTRA_SHARED_LIBS += -Wl,+s,+b,'$$ORIGIN/../../lib/pa20_64:$$ORIGIN/../../lib/64'
Comment 2 Christophe Ravel 2006-04-25 17:03:36 PDT
Created attachment 219816 [details] [diff] [review]
Set library search path in cmd/

Tested on 32 and 64 bit build
Comment 3 Neil Williams 2006-04-27 16:30:11 PDT
Comment on attachment 219816 [details] [diff] [review]
Set library search path in cmd/

Looks good. You might want to put a comment on the $OS_TEST else clause indicating it's for pa-risc.
Comment 4 Christophe Ravel 2006-04-27 16:39:24 PDT
Checked-in on:
- trunk
- NSS_3_11_1_BRANCH

Still need resolution of bug 335343 to be fully functional on 64 bit.
Comment 5 Nelson Bolyard (seldom reads bugmail) 2006-05-19 23:48:52 PDT
Is this the cause of bug 335454 ?
Now that this bug is fixed, is bug 335454 also fixed?
Comment 6 Christophe Ravel 2006-05-22 08:55:10 PDT
No, even with the RPATH set (this bug fixed), bug 335454 is still present.

Note You need to log in before you can comment on or make changes to this bug.